## com.thingmagic
Class Ipx64.TagData

    java.lang.Object
      com.thingmagic.TagData
          com.thingmagic.Ipx64.TagData

All Implemented Interfaces:
  TagFilter

Enclosing class:
  Ipx64

    public static class Ipx64.TagData

extends TagData

This class extends `TagData` to represent the details of an iPx RFID tag.

Constructor Summary
`Ipx64.TagData(byte[] bEpc)` Construct an iPx tag data from a byte array.
`Ipx64.TagData(byte[] bEPC, byte[] newPC)`
`Ipx64.TagData(byte[] bEPC, byte[] crc, byte[] newPC)` Construct an IPX64 tag data from a byte array.
`Ipx64.TagData(java.lang.String sEpc)` Construct an iPx tag data from a hexadecimal string.
`Ipx64.TagData(java.lang.String sEPC, java.lang.String sCRC)` Construct an ISO 18000-6B tag data from a hexadecimal string.

Method Summary
`TagProtocol` `getProtocol()` Returns the protocol of this tag.
`byte[]` `pcBytes()`
`java.lang.String` `toString()`

Methods inherited from class com.thingmagic.TagData
`crcBytes, epcBytes, epcString, equals, hashCode, matches`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Ipx64.TagData

    public Ipx64.TagData(java.lang.String sEpc)

  Construct an iPx tag data from a hexadecimal string.

  Parameters:
    `sEpc` - Hex string.

### Ipx64.TagData

    public Ipx64.TagData(byte[] bEpc)

  Construct an iPx tag data from a byte array.

  Parameters:
    `bEpc` - Bytes of EPC.

### Ipx64.TagData

    public Ipx64.TagData(byte[] bEPC,
                         byte[] newPC)

### Ipx64.TagData

    public Ipx64.TagData(byte[] bEPC,
                         byte[] crc,
                         byte[] newPC)

  Construct an IPX64 tag data from a byte array.

  Parameters:
    `bEPC` - EPC bytes. Must be 8 bytes
    `crc` - CRC bytes

### Ipx64.TagData

    public Ipx64.TagData(java.lang.String sEPC,
                         java.lang.String sCRC)

  Construct an ISO 18000-6B tag data from a hexadecimal string.

  Parameters:
    `sEPC` - Hex string. Must be 8 bytes (16 hex digits)
    `sCRC` - Hex string. Must be 2 bytes (4 hex digits)

Method Detail

### getProtocol

    public TagProtocol getProtocol()

  Description copied from class: `TagData`
  Returns the protocol of this tag.

  Overrides:
    `getProtocol` in class `TagData`

### pcBytes

    public byte[] pcBytes()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `TagData`